Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.bridge
Class TwoWayString2FieldBridgeAdaptor

    java.lang.Object
      org.hibernate.search.bridge.String2FieldBridgeAdaptor
          org.hibernate.search.bridge.TwoWayString2FieldBridgeAdaptor

All Implemented Interfaces:
  FieldBridge, TwoWayFieldBridge

    public class TwoWayString2FieldBridgeAdaptor

extends String2FieldBridgeAdaptor
implements TwoWayFieldBridge

Bridge to use a TwoWayStringBridge as a TwoWayFieldBridge

Author:
  Emmanuel Bernard

Constructor Summary
`TwoWayString2FieldBridgeAdaptor(TwoWayStringBridge stringBridge)`

Method Summary
`java.lang.Object` | `get(java.lang.String name, org.apache.lucene.document.Document document)` Build the element object from the `Document`
`java.lang.String` | `objectToString(java.lang.Object object)` Convert the object representation to a string.

Methods inherited from class org.hibernate.search.bridge.String2FieldBridgeAdaptor
`set`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.search.bridge.FieldBridge
`set`

Constructor Detail

### TwoWayString2FieldBridgeAdaptor

    public TwoWayString2FieldBridgeAdaptor(TwoWayStringBridge stringBridge)

Method Detail

### objectToString

    public java.lang.String objectToString(java.lang.Object object)

  Description copied from interface: `TwoWayFieldBridge`
  Convert the object representation to a string.

  Specified by:
    `objectToString` in interface `TwoWayFieldBridge`
  Parameters:
    `object` - The object to index.
  Returns:
    string (index) representationT of the specified object. Must not be `null`, but can be empty.

### get

    public java.lang.Object get(java.lang.String name,
                                org.apache.lucene.document.Document document)

  Description copied from interface: `TwoWayFieldBridge`
  Build the element object from the `Document`

  Specified by:
    `get` in interface `TwoWayFieldBridge`
  Parameters:
    `name` - field name
    `document` - document
  Returns:
    The return value is the entity property value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.